Get Customer Attribute Definition
GET /obp/v7.0.0/banks/BANK_ID/attribute-definitions/customer
OBPv4.0.0-getCustomerAttributeDefinition Roles: CanGetCustomerAttributeDefinitionAtOneBank(per bank) CustomerCustomer-AttributeAttribute
Get Customer Attribute Definition
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (10)
- alias
- attribute_definition_id
- attributes
- attribute value in form of (name, value)
- bank_id
- gh.29.uk
- can_be_seen_on_views
- false
- category
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- is_active
- false
- name
- ACCOUNT_MANAGEMENT_FEE
- type
Example success response
{
"attributes": [
{
"attribute_definition_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"bank_id": "gh.29.uk",
"name": "SPECIAL_TAX_NUMBER",
"category": "Customer",
"type": "STRING",
"description": "description",
"alias": "STRING",
"can_be_seen_on_views": [
"bank"
],
"is_active": true
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: